PUT /actions/working-files/{working_file_id}/comment

Update the comment on a specific working file. Comments provide context about changes made to the working file.

Path parameters

  • working_file_id string(uuid) Required

    Working file unique identifier

application/json

Body Required

  • comment string Required

    Working file comment

Responses

  • 200 application/json

    Working file comment updated successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Working file unique identifier

    • comment string

      Updated comment

    • updated_at string(date-time)

      Last update timestamp

PUT /actions/working-files/{working_file_id}/comment
curl -X PUT "http://api.example.com/actions/working-files/a24a6ea4-ce75-4665-a070-57453082c25/comment" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "comment": "Updated lighting and materials"
}'
import requests

url = "http://api.example.com/actions/working-files/a24a6ea4-ce75-4665-a070-57453082c25/comment"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "comment": "Updated lighting and materials"
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request PUT 'http://api.example.com/actions/working-files/a24a6ea4-ce75-4665-a070-57453082c25/comment' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"comment":"Updated lighting and materials"}'
Request examples
{
  "comment": "Updated lighting and materials"
}
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d36",
  "comment": "Updated lighting and materials",
  "updated_at": "2023-01-01T12:30:00Z"
}